# Infrastructure APIs

- [Ethereum JSON RPC APIs](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis.md)
- [eth\_accounts](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_accounts.md): Returns an array of addresses owned by the client.
- [eth\_blockNumber](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_blocknumber.md): Returns the latest block number of the block chain
- [eth\_call](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_call.md): Executes a new message call immediately without creating a transaction on the block chain.
- [eth\_chainId](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_chainid.md): Returns the current network/chain ID, used to sign replay-protected transaction introduced in. The API credit value for this method is 1
- [eth\_estimateGas](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_estimategas.md): Returns an estimation of gas for a given transaction. The API credit value for this method is 35
- [eth\_feeHistory](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_feehistory.md): Returns the collection of historical gas information. The API credit value for this method is 1
- [eth\_gasPrice](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gasprice.md): Returns the current gas price on the network in wei. The API credit value for this method is 100
- [eth\_getBalance](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getbalance.md): Returns the balance of given account address in wei. The API credit value for this method is 90
- [eth\_getBlockByHash](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblockbyhash.md): Returns information of the block matching the given block hash. The API credit value for this method is 60
- [eth\_getBlockByNumber](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblockbynumber.md): Returns information of the block matching the given block number. The API credit value for this method is 60
- [eth\_getBlockReceipts](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblockreceipts.md): Returns all transaction receipts for a given block. The API credit value for this method is 59
- [eth\_getBlockTransactionCountByHash](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblocktransactioncountbyhash.md): Returns the number of transactions for the block matching the given block hash. The API credit value for this method is 70.
- [eth\_getBlockTransactionCountByNumber](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getblocktransactioncountbynumber.md): Returns the number of transactions for the block matching the given block number. The API credit value for this method is 70.
- [eth\_getCode](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getcode.md): Returns the compiled bytecode of a smart contract. The API credit value for this method is 90.
- [eth\_getFilterChanges](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getfilterchanges.md): Polling method for a filter, which returns an array of events that have occurred since the last poll. The API credit value for this method is 80.
- [eth\_getFilterLogs](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getfilterlogs.md): Returns an array of all logs matching filter with given id. The API credit value for this method is 6.
- [eth\_getLogs](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getlogs.md): Returns an array of all logs matching a given filter object. The API credit value for this method is 80
- [eth\_getProof](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getproof.md): Returns the account and storage values of the specified account including the Merkle-proof. The API credit value for this method is 60.
- [eth\_getStorageAt](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getstorageat.md): Returns the value from a storage position at a given address. The API credit value for this method is 70.
- [eth\_getTransactionByBlockHashAndIndex](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionbyblockhashandindex.md): Returns information about a transaction given a blockhash and transaction index position. The API credit value for this method is 80.
- [eth\_getTransactionByBlockNumberAndIndex](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionbyblocknumberandindex.md): Returns information about a transaction given a block number and transaction index position. The API credit value for this method is 80
- [eth\_getTransactionByHash](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionbyhash.md): Returns the information about a transaction from a transaction hash. The API credit value for this method is 80.
- [eth\_getTransactionCount](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactioncount.md): Returns the number of transactions sent from an address. The API credit value for this method is 80.
- [eth\_getTransactionReceipt](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionreceipt.md): Returns the receipt of a transaction by transaction hash. The API credit value for this method is 80.
- [eth\_getUncleCountByBlockHash](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getunclecountbyblockhash.md): Returns the number of uncles for the block matching the given block hash. The API credit value for this method is 80
- [eth\_getUncleCountByBlockNumber](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getunclecountbyblocknumber.md): Returns the number of uncles for the block matching the given block number. The API credit value for this method is 80.
- [eth\_hashrate](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_hashrate.md): Returns the number of hashes per second that the node is mining with. The API credit value for this method is 100
- [eth\_maxPriorityFeePerGas](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_maxpriorityfeepergas.md): Get the priority fee needed to be included in a block. The API credit value for this method is 1
- [eth\_mining](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_mining.md): Returns true if node is actively mining new blocks. The API credit value for this method is 100
- [eth\_newBlockFilter](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_newblockfilter.md): Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call eth\_getFilterChanges. The API credit value for this method is 2
- [eth\_newFilter](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_newfilter.md): Creates a filter object, based on filter options, to notify when the state changes (logs). To check if the state has changed, call eth\_getFilterChanges. The API credit value for this method is 80.
- [eth\_newPendingTransactionFilter](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_newpendingtransactionfilter.md): Creates a filter in the node to notify when new pending transactions arrive. To check if the state has changed, call eth\_getFilterChanges. The API credit value for this method is 2.
- [eth\_signTransaction](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_signtransaction.md): Signs a transaction that can be submitted to the network later using eth\_sendRawTransaction - not supported by QuickNode! The API credit value for this method is 1.
- [eth\_syncing](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_syncing.md): Returns an object with the sync status of the node if the node is out-of-sync and is syncing. Returns false when the node is already in sync. The API credit value for this method is 100
- [eth\_uninstallFilter](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_uninstallfilter.md): It uninstalls a filter with the given filter id. The API credit value for this method is 1.
- [eth\_unsubscribe](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_unsubscribe.md): Cancels an existing subscription so that no further events are sent. The API credit value for this method is 1.
- [eth\_sendRawTransaction](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_sendrawtransaction.md): Creates new message call transaction or a contract creation for signed transactions. The API credit value for this method is 70.
- [net\_listening](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/net_listening.md): Returns true if client is actively listening for network connections. The API credit value for this method is 100
- [net\_peerCount](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/net_peercount.md): Returns number of peers currently connected to the client. The API credit value for this method is 100
- [net\_version](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/net_version.md): Returns the current network id. The API credit value for this method is 100.
- [txpool\_content](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/txpool_content.md): Returns all pending and queued transactions (Supported only on Geth). The API credit value for this method is 1000
- [txpool\_inspect](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/txpool_inspect.md): Returns a textual summary of all pending and queued transactions (Supported only on Geth). The API credit value for this method is 100
- [txpool\_status](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/txpool_status.md): Returns the number of transactions in pending and queued states (Supported only on Geth). The API credit value for this method is 100.
- [web3\_clientVersion](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/web3_clientversion.md): Returns the current version of the chain client. The API credit value for this method is 200.
- [web3\_sha3](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/web3_sha3.md): Returns Keccak-256 (not the standardized SHA3-256) hash of the given data. The API credit value for this method is 20.
- [IPFS HTTP Client APIs](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis.md)
- [How to](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/how-to.md): Access IPFS content
- [HTTP API methods](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods.md): The IPFS documentation lists the IPFS HTTP API methods.
- [add](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/add.md): /api/v0/add
- [block\_get](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/block_get.md): /api/v0/block/get
- [block\_stat](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/block_stat.md): /api/v0/block/stat
- [cat](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/cat.md): /api/v0/cat
- [dag\_get](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/dag_get.md): /api/v0/dag/get
- [dag\_import](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/dag_import.md): /api/v0/dag/import
- [dag\_put](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/dag_put.md): /api/v0/dag/put
- [dag\_resolve](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/dag_resolve.md): /api/v0/dag/resolve
- [get](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/get.md): /api/v0/get
- [pin\_add](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/pin_add.md): /api/v0/pin/add
- [pin\_ls](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/pin_ls.md): /api/v0/pin/ls
- [pin\_rm](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/pin_rm.md): /api/v0/pin/rm
- [pin\_update](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/pin_update.md): /api/v0/pin/update
- [version](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/version.md): /api/v0/pin/version
- [block\_put](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/http-api-methods/block_put.md): /api/v0/block/put


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
